API reference
Replace seller commissions
PUT
/v1/sellers/{sellerId}/commissionsAuthorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
sellerId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/sellers/string/commissions" \ -H "Content-Type: application/json" \ -d '{ "commissions": [ { "target": "category", "categoryId": null, "brandId": null, "includeChildrenCategories": true, "productCommissionPercent": 0.1, "freightCommissionPercent": null, "fixedFee": null, "isActive": true } ] }'[ { "id": "string", "target": "category", "categoryId": null, "brandId": null, "includeChildrenCategories": true, "productCommissionPercent": 0.1, "freightCommissionPercent": null, "fixedFee": null, "isActive": true, "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null }]